

#include<stdio.h>
#include<unistd.h>
#include<sys/wait.h>
#include<netinet/in.h>
#include<string.h>
#include<stdlib.h>
#include<pthread.h>

#include"sitar.h"
#include"sitar_com.h"
#include<almemsys/almemsys.h>
#include"jpreturn.h"
#include<file_comp/file_comp.h>

extern global_data_t gd;



// LIFE 用、疎通監視用のスレッド関数
int life_pthread(void)
{
int count = 1;

for(;;){

   #ifdef LIFE_DEBUG
   printf("LIFE_DEBUG: life_pthread(): 疎通確認を実行します。\n");
   #endif

   life_put();
   for(count =0; count < gd.bf.life_int; count++){
      sleep(1);
      #ifdef LIFE_DEBUG
      printf("LIFE_DEBUG: INTERVAL_COUNT: life_pthread():  count=%d all=%d\n", count, gd.bf.life_int);
      #endif
      }
   }

// It doesn't reach. (ここに来ることはありません)
wait(NULL);

return 0;
} 





